version: v1

description: |
  This test check on how model knows specific detailing on their
  basic, unaltered by artists or styles form. It generates next templates:
  1. {detail name} - square image with locked seed
  2. ball, {detail name} - square image with locked seed
  3. cube, {detail name} - square image with locked seed
  4. portrait, {detail name} - portrait image with locked seed
  5. landscape, {detail name} - landscape image with locked seed
  ---
  Requires next variables:
  * POSITIVE_PROMPT
  * NEGATIVE_PROMPT
  * IMAGE_WIDTH
  * IMAGE_HEIGHT
  * SEED
  * STEPS
  * CFG
  * SAMPLER
  * SCHEDULER
  ---
  All other things must be provided by Playbook.

root:
  children:
    detail_keywords_test:
      vars:
        IMAGE_WIDTH: 768
        IMAGE_HEIGHT: 768
        STEPS: 24
        CFG: 7.0
        SAMPLER: euler_ancestral
        SCHEDULER: normal
        NEGATIVE_PROMPT: explicit
      children:
        by_themselves:
          vars:
            SEED: 70607
          items:
            absurd_res:
              POSITIVE_PROMPT: absurd res
            hi_res:
              POSITIVE_PROMPT: hi res
            high_res:
              POSITIVE_PROMPT: high res
            high_quality:
              POSITIVE_PROMPT: high quality
            professional_photograph:
              POSITIVE_PROMPT: professional photograph
            highly_detailed:
              POSITIVE_PROMPT: highly detailed
            extremely_detailed:
              POSITIVE_PROMPT: extremely detailed
            realistic:
              POSITIVE_PROMPT: realistic
            concept_art:
              POSITIVE_PROMPT: concept art
            golden_ratio:
              POSITIVE_PROMPT: golden ratio
            shiny:
              POSITIVE_PROMPT: shiny
            smooth:
              POSITIVE_PROMPT: smooth
            surreal:
              POSITIVE_PROMPT: surreal
            divine:
              POSITIVE_PROMPT: divine
            celestial:
              POSITIVE_PROMPT: celestial
            elegant:
              POSITIVE_PROMPT: elegant
            vibrant_colors:
              POSITIVE_PROMPT: vibrant colors
            pastel_colors:
              POSITIVE_PROMPT: pastel colors
            minimalistic:
              POSITIVE_PROMPT: minimalistic
            precise_lineart:
              POSITIVE_PROMPT: precise line-art
            featured_on_pixiv:
              POSITIVE_PROMPT: featured on pixiv
            pixiv:
              POSITIVE_PROMPT: pixiv
            award_winning_masterpiece:
              POSITIVE_PROMPT: award-winning masterpiece
            masterpiece:
              POSITIVE_PROMPT: masterpiece
            cinematic:
              POSITIVE_PROMPT: cinematic
            hd:
              POSITIVE_PROMPT: hd
            4k:
              POSITIVE_PROMPT: 4k
            8k:
              POSITIVE_PROMPT: 8k
            3d:
              POSITIVE_PROMPT: 3d
            4d:
              POSITIVE_PROMPT: 4d
            cinema4d:
              POSITIVE_PROMPT: cinema4d
            dof:
              POSITIVE_PROMPT: dof
            depth_of_field:
              POSITIVE_PROMPT: depth of field
            octane_render:
              POSITIVE_PROMPT: octane render
            unreal_engine:
              POSITIVE_PROMPT: unreal_engine
            houdini_render:
              POSITIVE_PROMPT: houdini_render
            arnold_render:
              POSITIVE_PROMPT: arnold render
            raytracing:
              POSITIVE_PROMPT: raytracing
            cgi:
              POSITIVE_PROMPT: cgi
            cgsociety:
              POSITIVE_PROMPT: cgsociety
            quixel_megascans:
              POSITIVE_PROMPT: quixel megascans
            beautiful:
              POSITIVE_PROMPT: beautiful
            breathtaking:
              POSITIVE_PROMPT: breathtaking
            trending_artstation:
              POSITIVE_PROMPT: trending artstation
            trending_on_artstation:
              POSITIVE_PROMPT: trending on artstation
            blur:
              POSITIVE_PROMPT: blur
            lumen_reflections:
              POSITIVE_PROMPT: lumen reflections
            bokeh:
              POSITIVE_PROMPT: bokeh
            symmetrical:
              POSITIVE_PROMPT: symmetrical
            macabre:
              POSITIVE_PROMPT: macabre
            volumetric_fog:
              POSITIVE_PROMPT: volumetric fog
            4_k_wallpaper:
              POSITIVE_PROMPT: 4 k wallpaper
            8_k_wallpaper:
              POSITIVE_PROMPT: 8 k wallpaper
            polaroid:
              POSITIVE_PROMPT: polaroid
            portrait:
              POSITIVE_PROMPT: portrait
            color_splash:
              POSITIVE_PROMPT: color splash
            monochrome:
              POSITIVE_PROMPT: monochrome
            uhd:
              POSITIVE_PROMPT: uhd
            64k:
              POSITIVE_PROMPT: 64k
            hyperrealism:
              POSITIVE_PROMPT: hyperrealism
            highly_detailed_digital_art:
              POSITIVE_PROMPT: highly detailed digital art
            ultrafine_detailed_painting:
              POSITIVE_PROMPT: ultrafine detailed painting
            generative_art:
              POSITIVE_PROMPT: generative art
            concept_art:
              POSITIVE_PROMPT: concept art
            fantasy_art:
              POSITIVE_PROMPT: fantasy art
            pearlescent:
              POSITIVE_PROMPT: pearlescent
            bioluminescence:
              POSITIVE_PROMPT: bioluminescence
            aesthetic:
              POSITIVE_PROMPT: aesthetic
            the_most_beautiful_image_ever_seen:
              POSITIVE_PROMPT: the most beautiful image ever seen
            vibrant:
              POSITIVE_PROMPT: vibrant
            colorful:
              POSITIVE_PROMPT: colorful
            black_and_white:
              POSITIVE_PROMPT: black and white
            grayscale:
              POSITIVE_PROMPT: grayscale
            at_night:
              POSITIVE_PROMPT: at night
            triadic_colour_scheme:
              POSITIVE_PROMPT: triadic colour scheme
            washed_colour:
              POSITIVE_PROMPT: washed colour
            in_the_style_of_fantasy_roleplaying_game_tabletop_art:
              POSITIVE_PROMPT: in the style of fantasy roleplaying game tabletop art
            cell_shading:
              POSITIVE_PROMPT: cell shading
            trending_concept_art:
              POSITIVE_PROMPT: trending concept art
            digital_brush_pack_painting:
              POSITIVE_PROMPT: digital brush pack painting
            atmosphere:
              POSITIVE_PROMPT: atmosphere
            highly_detailed_heavely_dramatic_lighting:
              POSITIVE_PROMPT: highly detailed heavely dramatic lighting
            highly_realistic_cinematic_lighting:
              POSITIVE_PROMPT: highly realistic cinematic lighting
            epic_high_dynamic_lighting:
              POSITIVE_PROMPT: epic high dynamic lighting
            hdr:
              POSITIVE_PROMPT: hdr
            gopro:
              POSITIVE_PROMPT: gopro
            cctv:
              POSITIVE_PROMPT: cctv
            cinematic illumination:
              POSITIVE_PROMPT: cinematic illumination
            telephoto:
              POSITIVE_PROMPT: telephoto
            stunning:
              POSITIVE_PROMPT: stunning
            intricate:
              POSITIVE_PROMPT: intricate
            analog_style:
              POSITIVE_PROMPT: analog style
            modelshoot_style:
              POSITIVE_PROMPT: modelshoot style
            medium_shot_photo:
              POSITIVE_PROMPT: medium shot photo
            sharp_focus:
              POSITIVE_PROMPT: sharp focus
            soft_focus:
              POSITIVE_PROMPT: soft focus
            subsurface_scattering:
              POSITIVE_PROMPT: subsurface scattering
            f2:
              POSITIVE_PROMPT: f2
            50mm:
              POSITIVE_PROMPT: 50mm
            film_grain:
              POSITIVE_PROMPT: film grain
        with_balls:
          vars:
            SEED: 76767
          items:
            absurd_res:
              POSITIVE_PROMPT: ball, absurd res
            hi_res:
              POSITIVE_PROMPT: ball, hi res
            high_res:
              POSITIVE_PROMPT: ball, high res
            high_quality:
              POSITIVE_PROMPT: ball, high quality
            professional_photograph:
              POSITIVE_PROMPT: ball, professional photograph
            highly_detailed:
              POSITIVE_PROMPT: ball, highly detailed
            extremely_detailed:
              POSITIVE_PROMPT: ball, extremely detailed
            realistic:
              POSITIVE_PROMPT: ball, realistic
            concept_art:
              POSITIVE_PROMPT: ball, concept art
            golden_ratio:
              POSITIVE_PROMPT: ball, golden ratio
            shiny:
              POSITIVE_PROMPT: ball, shiny
            smooth:
              POSITIVE_PROMPT: ball, smooth
            surreal:
              POSITIVE_PROMPT: ball, surreal
            divine:
              POSITIVE_PROMPT: ball, divine
            celestial:
              POSITIVE_PROMPT: ball, celestial
            elegant:
              POSITIVE_PROMPT: ball, elegant
            vibrant_colors:
              POSITIVE_PROMPT: ball, vibrant colors
            pastel_colors:
              POSITIVE_PROMPT: ball, pastel colors
            minimalistic:
              POSITIVE_PROMPT: ball, minimalistic
            precise_lineart:
              POSITIVE_PROMPT: ball, precise line-art
            featured_on_pixiv:
              POSITIVE_PROMPT: ball, featured on pixiv
            pixiv:
              POSITIVE_PROMPT: ball, pixiv
            award_winning_masterpiece:
              POSITIVE_PROMPT: ball, award-winning masterpiece
            masterpiece:
              POSITIVE_PROMPT: ball, masterpiece
            cinematic:
              POSITIVE_PROMPT: ball, cinematic
            hd:
              POSITIVE_PROMPT: ball, hd
            4k:
              POSITIVE_PROMPT: ball, 4k
            8k:
              POSITIVE_PROMPT: ball, 8k
            3d:
              POSITIVE_PROMPT: ball, 3d
            4d:
              POSITIVE_PROMPT: ball, 4d
            cinema4d:
              POSITIVE_PROMPT: ball, cinema4d
            dof:
              POSITIVE_PROMPT: ball, dof
            depth_of_field:
              POSITIVE_PROMPT: ball, depth of field
            octane_render:
              POSITIVE_PROMPT: ball, octane render
            unreal_engine:
              POSITIVE_PROMPT: ball, unreal_engine
            houdini_render:
              POSITIVE_PROMPT: ball, houdini_render
            arnold_render:
              POSITIVE_PROMPT: ball, arnold render
            raytracing:
              POSITIVE_PROMPT: ball, raytracing
            cgi:
              POSITIVE_PROMPT: ball, cgi
            cgsociety:
              POSITIVE_PROMPT: ball, cgsociety
            quixel_megascans:
              POSITIVE_PROMPT: ball, quixel megascans
            beautiful:
              POSITIVE_PROMPT: ball, beautiful
            breathtaking:
              POSITIVE_PROMPT: ball, breathtaking
            trending_artstation:
              POSITIVE_PROMPT: ball, trending artstation
            trending_on_artstation:
              POSITIVE_PROMPT: ball, trending on artstation
            blur:
              POSITIVE_PROMPT: ball, blur
            lumen_reflections:
              POSITIVE_PROMPT: ball, lumen reflections
            bokeh:
              POSITIVE_PROMPT: ball, bokeh
            symmetrical:
              POSITIVE_PROMPT: ball, symmetrical
            macabre:
              POSITIVE_PROMPT: ball, macabre
            volumetric_fog:
              POSITIVE_PROMPT: ball, volumetric fog
            4_k_wallpaper:
              POSITIVE_PROMPT: ball, 4 k wallpaper
            8_k_wallpaper:
              POSITIVE_PROMPT: ball, 8 k wallpaper
            polaroid:
              POSITIVE_PROMPT: ball, polaroid
            portrait:
              POSITIVE_PROMPT: ball, portrait
            color_splash:
              POSITIVE_PROMPT: ball, color splash
            monochrome:
              POSITIVE_PROMPT: ball, monochrome
            uhd:
              POSITIVE_PROMPT: ball, uhd
            64k:
              POSITIVE_PROMPT: ball, 64k
            hyperrealism:
              POSITIVE_PROMPT: ball, hyperrealism
            highly_detailed_digital_art:
              POSITIVE_PROMPT: ball, highly detailed digital art
            ultrafine_detailed_painting:
              POSITIVE_PROMPT: ball, ultrafine detailed painting
            generative_art:
              POSITIVE_PROMPT: ball, generative art
            concept_art:
              POSITIVE_PROMPT: ball, concept art
            fantasy_art:
              POSITIVE_PROMPT: ball, fantasy art
            pearlescent:
              POSITIVE_PROMPT: ball, pearlescent
            bioluminescence:
              POSITIVE_PROMPT: ball, bioluminescence
            aesthetic:
              POSITIVE_PROMPT: ball, aesthetic
            the_most_beautiful_image_ever_seen:
              POSITIVE_PROMPT: ball, the most beautiful image ever seen
            vibrant:
              POSITIVE_PROMPT: ball, vibrant
            colorful:
              POSITIVE_PROMPT: ball, colorful
            black_and_white:
              POSITIVE_PROMPT: ball, black and white
            grayscale:
              POSITIVE_PROMPT: ball, grayscale
            at_night:
              POSITIVE_PROMPT: ball, at night
            triadic_colour_scheme:
              POSITIVE_PROMPT: ball, triadic colour scheme
            washed_colour:
              POSITIVE_PROMPT: ball, washed colour
            in_the_style_of_fantasy_roleplaying_game_tabletop_art:
              POSITIVE_PROMPT: ball, in the style of fantasy roleplaying game tabletop art
            cell_shading:
              POSITIVE_PROMPT: ball, cell shading
            trending_concept_art:
              POSITIVE_PROMPT: ball, trending concept art
            digital_brush_pack_painting:
              POSITIVE_PROMPT: ball, digital brush pack painting
            atmosphere:
              POSITIVE_PROMPT: ball, atmosphere
            highly_detailed_heavely_dramatic_lighting:
              POSITIVE_PROMPT: ball, highly detailed heavely dramatic lighting
            highly_realistic_cinematic_lighting:
              POSITIVE_PROMPT: ball, highly realistic cinematic lighting
            epic_high_dynamic_lighting:
              POSITIVE_PROMPT: ball, epic high dynamic lighting
            hdr:
              POSITIVE_PROMPT: ball, hdr
            gopro:
              POSITIVE_PROMPT: ball, gopro
            cctv:
              POSITIVE_PROMPT: ball, cctv
            cinematic illumination:
              POSITIVE_PROMPT: ball, cinematic illumination
            telephoto:
              POSITIVE_PROMPT: ball, telephoto
            stunning:
              POSITIVE_PROMPT: ball, stunning
            intricate:
              POSITIVE_PROMPT: ball, intricate
            analog_style:
              POSITIVE_PROMPT: ball, analog style
            modelshoot_style:
              POSITIVE_PROMPT: ball, modelshoot style
            medium_shot_photo:
              POSITIVE_PROMPT: ball, medium shot photo
            sharp_focus:
              POSITIVE_PROMPT: ball, sharp focus
            soft_focus:
              POSITIVE_PROMPT: ball, soft focus
            subsurface_scattering:
              POSITIVE_PROMPT: ball, subsurface scattering
            f2:
              POSITIVE_PROMPT: ball, f2
            50mm:
              POSITIVE_PROMPT: ball, 50mm
            film_grain:
              POSITIVE_PROMPT: ball, film grain
        with_cubes:
          vars:
            SEED: 67676
          items:
            absurd_res:
              POSITIVE_PROMPT: cube, absurd res
            hi_res:
              POSITIVE_PROMPT: cube, hi res
            high_res:
              POSITIVE_PROMPT: cube, high res
            high_quality:
              POSITIVE_PROMPT: cube, high quality
            professional_photograph:
              POSITIVE_PROMPT: cube, professional photograph
            highly_detailed:
              POSITIVE_PROMPT: cube, highly detailed
            extremely_detailed:
              POSITIVE_PROMPT: cube, extremely detailed
            realistic:
              POSITIVE_PROMPT: cube, realistic
            concept_art:
              POSITIVE_PROMPT: cube, concept art
            golden_ratio:
              POSITIVE_PROMPT: cube, golden ratio
            shiny:
              POSITIVE_PROMPT: cube, shiny
            smooth:
              POSITIVE_PROMPT: cube, smooth
            surreal:
              POSITIVE_PROMPT: cube, surreal
            divine:
              POSITIVE_PROMPT: cube, divine
            celestial:
              POSITIVE_PROMPT: cube, celestial
            elegant:
              POSITIVE_PROMPT: cube, elegant
            vibrant_colors:
              POSITIVE_PROMPT: cube, vibrant colors
            pastel_colors:
              POSITIVE_PROMPT: cube, pastel colors
            minimalistic:
              POSITIVE_PROMPT: cube, minimalistic
            precise_lineart:
              POSITIVE_PROMPT: cube, precise line-art
            featured_on_pixiv:
              POSITIVE_PROMPT: cube, featured on pixiv
            pixiv:
              POSITIVE_PROMPT: cube, pixiv
            award_winning_masterpiece:
              POSITIVE_PROMPT: cube, award-winning masterpiece
            masterpiece:
              POSITIVE_PROMPT: cube, masterpiece
            cinematic:
              POSITIVE_PROMPT: cube, cinematic
            hd:
              POSITIVE_PROMPT: cube, hd
            4k:
              POSITIVE_PROMPT: cube, 4k
            8k:
              POSITIVE_PROMPT: cube, 8k
            3d:
              POSITIVE_PROMPT: cube, 3d
            4d:
              POSITIVE_PROMPT: cube, 4d
            cinema4d:
              POSITIVE_PROMPT: cube, cinema4d
            dof:
              POSITIVE_PROMPT: cube, dof
            depth_of_field:
              POSITIVE_PROMPT: cube, depth of field
            octane_render:
              POSITIVE_PROMPT: cube, octane render
            unreal_engine:
              POSITIVE_PROMPT: cube, unreal_engine
            houdini_render:
              POSITIVE_PROMPT: cube, houdini_render
            arnold_render:
              POSITIVE_PROMPT: cube, arnold render
            raytracing:
              POSITIVE_PROMPT: cube, raytracing
            cgi:
              POSITIVE_PROMPT: cube, cgi
            cgsociety:
              POSITIVE_PROMPT: cube, cgsociety
            quixel_megascans:
              POSITIVE_PROMPT: cube, quixel megascans
            beautiful:
              POSITIVE_PROMPT: cube, beautiful
            breathtaking:
              POSITIVE_PROMPT: cube, breathtaking
            trending_artstation:
              POSITIVE_PROMPT: cube, trending artstation
            trending_on_artstation:
              POSITIVE_PROMPT: cube, trending on artstation
            blur:
              POSITIVE_PROMPT: cube, blur
            lumen_reflections:
              POSITIVE_PROMPT: cube, lumen reflections
            bokeh:
              POSITIVE_PROMPT: cube, bokeh
            symmetrical:
              POSITIVE_PROMPT: cube, symmetrical
            macabre:
              POSITIVE_PROMPT: cube, macabre
            volumetric_fog:
              POSITIVE_PROMPT: cube, volumetric fog
            4_k_wallpaper:
              POSITIVE_PROMPT: cube, 4 k wallpaper
            8_k_wallpaper:
              POSITIVE_PROMPT: cube, 8 k wallpaper
            polaroid:
              POSITIVE_PROMPT: cube, polaroid
            portrait:
              POSITIVE_PROMPT: cube, portrait
            color_splash:
              POSITIVE_PROMPT: cube, color splash
            monochrome:
              POSITIVE_PROMPT: cube, monochrome
            uhd:
              POSITIVE_PROMPT: cube, uhd
            64k:
              POSITIVE_PROMPT: cube, 64k
            hyperrealism:
              POSITIVE_PROMPT: cube, hyperrealism
            highly_detailed_digital_art:
              POSITIVE_PROMPT: cube, highly detailed digital art
            ultrafine_detailed_painting:
              POSITIVE_PROMPT: cube, ultrafine detailed painting
            generative_art:
              POSITIVE_PROMPT: cube, generative art
            concept_art:
              POSITIVE_PROMPT: cube, concept art
            fantasy_art:
              POSITIVE_PROMPT: cube, fantasy art
            pearlescent:
              POSITIVE_PROMPT: cube, pearlescent
            bioluminescence:
              POSITIVE_PROMPT: cube, bioluminescence
            aesthetic:
              POSITIVE_PROMPT: cube, aesthetic
            the_most_beautiful_image_ever_seen:
              POSITIVE_PROMPT: cube, the most beautiful image ever seen
            vibrant:
              POSITIVE_PROMPT: cube, vibrant
            colorful:
              POSITIVE_PROMPT: cube, colorful
            black_and_white:
              POSITIVE_PROMPT: cube, black and white
            grayscale:
              POSITIVE_PROMPT: cube, grayscale
            at_night:
              POSITIVE_PROMPT: cube, at night
            triadic_colour_scheme:
              POSITIVE_PROMPT: cube, triadic colour scheme
            washed_colour:
              POSITIVE_PROMPT: cube, washed colour
            in_the_style_of_fantasy_roleplaying_game_tabletop_art:
              POSITIVE_PROMPT: cube, in the style of fantasy roleplaying game tabletop art
            cell_shading:
              POSITIVE_PROMPT: cube, cell shading
            trending_concept_art:
              POSITIVE_PROMPT: cube, trending concept art
            digital_brush_pack_painting:
              POSITIVE_PROMPT: cube, digital brush pack painting
            atmosphere:
              POSITIVE_PROMPT: cube, atmosphere
            highly_detailed_heavely_dramatic_lighting:
              POSITIVE_PROMPT: cube, highly detailed heavely dramatic lighting
            highly_realistic_cinematic_lighting:
              POSITIVE_PROMPT: cube, highly realistic cinematic lighting
            epic_high_dynamic_lighting:
              POSITIVE_PROMPT: cube, epic high dynamic lighting
            hdr:
              POSITIVE_PROMPT: cube, hdr
            gopro:
              POSITIVE_PROMPT: cube, gopro
            cctv:
              POSITIVE_PROMPT: cube, cctv
            cinematic illumination:
              POSITIVE_PROMPT: cube, cinematic illumination
            telephoto:
              POSITIVE_PROMPT: cube, telephoto
            stunning:
              POSITIVE_PROMPT: cube, stunning
            intricate:
              POSITIVE_PROMPT: cube, intricate
            analog_style:
              POSITIVE_PROMPT: cube, analog style
            modelshoot_style:
              POSITIVE_PROMPT: cube, modelshoot style
            medium_shot_photo:
              POSITIVE_PROMPT: cube, medium shot photo
            sharp_focus:
              POSITIVE_PROMPT: cube, sharp focus
            soft_focus:
              POSITIVE_PROMPT: cube, soft focus
            subsurface_scattering:
              POSITIVE_PROMPT: cube, subsurface scattering
            f2:
              POSITIVE_PROMPT: cube, f2
            50mm:
              POSITIVE_PROMPT: cube, 50mm
            film_grain:
              POSITIVE_PROMPT: cube, film grain
        with_portraits:
          vars:
            SEED: 96969
            IMAGE_WIDTH: 640
          items:
            absurd_res:
              POSITIVE_PROMPT: portrait, absurd res
            hi_res:
              POSITIVE_PROMPT: portrait, hi res
            high_res:
              POSITIVE_PROMPT: portrait, high res
            high_quality:
              POSITIVE_PROMPT: portrait, high quality
            professional_photograph:
              POSITIVE_PROMPT: portrait, professional photograph
            highly_detailed:
              POSITIVE_PROMPT: portrait, highly detailed
            extremely_detailed:
              POSITIVE_PROMPT: portrait, extremely detailed
            realistic:
              POSITIVE_PROMPT: portrait, realistic
            concept_art:
              POSITIVE_PROMPT: portrait, concept art
            golden_ratio:
              POSITIVE_PROMPT: portrait, golden ratio
            shiny:
              POSITIVE_PROMPT: portrait, shiny
            smooth:
              POSITIVE_PROMPT: portrait, smooth
            surreal:
              POSITIVE_PROMPT: portrait, surreal
            divine:
              POSITIVE_PROMPT: portrait, divine
            celestial:
              POSITIVE_PROMPT: portrait, celestial
            elegant:
              POSITIVE_PROMPT: portrait, elegant
            vibrant_colors:
              POSITIVE_PROMPT: portrait, vibrant colors
            pastel_colors:
              POSITIVE_PROMPT: portrait, pastel colors
            minimalistic:
              POSITIVE_PROMPT: portrait, minimalistic
            precise_lineart:
              POSITIVE_PROMPT: portrait, precise line-art
            featured_on_pixiv:
              POSITIVE_PROMPT: portrait, featured on pixiv
            pixiv:
              POSITIVE_PROMPT: portrait, pixiv
            award_winning_masterpiece:
              POSITIVE_PROMPT: portrait, award-winning masterpiece
            masterpiece:
              POSITIVE_PROMPT: portrait, masterpiece
            cinematic:
              POSITIVE_PROMPT: portrait, cinematic
            hd:
              POSITIVE_PROMPT: portrait, hd
            4k:
              POSITIVE_PROMPT: portrait, 4k
            8k:
              POSITIVE_PROMPT: portrait, 8k
            3d:
              POSITIVE_PROMPT: portrait, 3d
            4d:
              POSITIVE_PROMPT: portrait, 4d
            cinema4d:
              POSITIVE_PROMPT: portrait, cinema4d
            dof:
              POSITIVE_PROMPT: portrait, dof
            depth_of_field:
              POSITIVE_PROMPT: portrait, depth of field
            octane_render:
              POSITIVE_PROMPT: portrait, octane render
            unreal_engine:
              POSITIVE_PROMPT: portrait, unreal_engine
            houdini_render:
              POSITIVE_PROMPT: portrait, houdini_render
            arnold_render:
              POSITIVE_PROMPT: portrait, arnold render
            raytracing:
              POSITIVE_PROMPT: portrait, raytracing
            cgi:
              POSITIVE_PROMPT: portrait, cgi
            cgsociety:
              POSITIVE_PROMPT: portrait, cgsociety
            quixel_megascans:
              POSITIVE_PROMPT: portrait, quixel megascans
            beautiful:
              POSITIVE_PROMPT: portrait, beautiful
            breathtaking:
              POSITIVE_PROMPT: portrait, breathtaking
            trending_artstation:
              POSITIVE_PROMPT: portrait, trending artstation
            trending_on_artstation:
              POSITIVE_PROMPT: portrait, trending on artstation
            blur:
              POSITIVE_PROMPT: portrait, blur
            lumen_reflections:
              POSITIVE_PROMPT: portrait, lumen reflections
            bokeh:
              POSITIVE_PROMPT: portrait, bokeh
            symmetrical:
              POSITIVE_PROMPT: portrait, symmetrical
            macabre:
              POSITIVE_PROMPT: portrait, macabre
            volumetric_fog:
              POSITIVE_PROMPT: portrait, volumetric fog
            4_k_wallpaper:
              POSITIVE_PROMPT: portrait, 4 k wallpaper
            8_k_wallpaper:
              POSITIVE_PROMPT: portrait, 8 k wallpaper
            polaroid:
              POSITIVE_PROMPT: portrait, polaroid
            portrait:
              POSITIVE_PROMPT: portrait, portrait
            color_splash:
              POSITIVE_PROMPT: portrait, color splash
            monochrome:
              POSITIVE_PROMPT: portrait, monochrome
            uhd:
              POSITIVE_PROMPT: portrait, uhd
            64k:
              POSITIVE_PROMPT: portrait, 64k
            hyperrealism:
              POSITIVE_PROMPT: portrait, hyperrealism
            highly_detailed_digital_art:
              POSITIVE_PROMPT: portrait, highly detailed digital art
            ultrafine_detailed_painting:
              POSITIVE_PROMPT: portrait, ultrafine detailed painting
            generative_art:
              POSITIVE_PROMPT: portrait, generative art
            concept_art:
              POSITIVE_PROMPT: portrait, concept art
            fantasy_art:
              POSITIVE_PROMPT: portrait, fantasy art
            pearlescent:
              POSITIVE_PROMPT: portrait, pearlescent
            bioluminescence:
              POSITIVE_PROMPT: portrait, bioluminescence
            aesthetic:
              POSITIVE_PROMPT: portrait, aesthetic
            the_most_beautiful_image_ever_seen:
              POSITIVE_PROMPT: portrait, the most beautiful image ever seen
            vibrant:
              POSITIVE_PROMPT: portrait, vibrant
            colorful:
              POSITIVE_PROMPT: portrait, colorful
            black_and_white:
              POSITIVE_PROMPT: portrait, black and white
            grayscale:
              POSITIVE_PROMPT: portrait, grayscale
            at_night:
              POSITIVE_PROMPT: portrait, at night
            triadic_colour_scheme:
              POSITIVE_PROMPT: portrait, triadic colour scheme
            washed_colour:
              POSITIVE_PROMPT: portrait, washed colour
            in_the_style_of_fantasy_roleplaying_game_tabletop_art:
              POSITIVE_PROMPT: portrait, in the style of fantasy roleplaying game tabletop art
            cell_shading:
              POSITIVE_PROMPT: portrait, cell shading
            trending_concept_art:
              POSITIVE_PROMPT: portrait, trending concept art
            digital_brush_pack_painting:
              POSITIVE_PROMPT: portrait, digital brush pack painting
            atmosphere:
              POSITIVE_PROMPT: portrait, atmosphere
            highly_detailed_heavely_dramatic_lighting:
              POSITIVE_PROMPT: portrait, highly detailed heavely dramatic lighting
            highly_realistic_cinematic_lighting:
              POSITIVE_PROMPT: portrait, highly realistic cinematic lighting
            epic_high_dynamic_lighting:
              POSITIVE_PROMPT: portrait, epic high dynamic lighting
            hdr:
              POSITIVE_PROMPT: portrait, hdr
            gopro:
              POSITIVE_PROMPT: portrait, gopro
            cctv:
              POSITIVE_PROMPT: portrait, cctv
            cinematic illumination:
              POSITIVE_PROMPT: portrait, cinematic illumination
            telephoto:
              POSITIVE_PROMPT: portrait, telephoto
            stunning:
              POSITIVE_PROMPT: portrait, stunning
            intricate:
              POSITIVE_PROMPT: portrait, intricate
            analog_style:
              POSITIVE_PROMPT: portrait, analog style
            modelshoot_style:
              POSITIVE_PROMPT: portrait, modelshoot style
            medium_shot_photo:
              POSITIVE_PROMPT: portrait, medium shot photo
            sharp_focus:
              POSITIVE_PROMPT: portrait, sharp focus
            soft_focus:
              POSITIVE_PROMPT: portrait, soft focus
            subsurface_scattering:
              POSITIVE_PROMPT: portrait, subsurface scattering
            f2:
              POSITIVE_PROMPT: portrait, f2
            50mm:
              POSITIVE_PROMPT: portrait, 50mm
            film_grain:
              POSITIVE_PROMPT: portrait, film grain
        with_landscapes:
          vars:
            SEED: 69696
            IMAGE_HEIGHT: 640
          items:
            absurd_res:
              POSITIVE_PROMPT: landscape, absurd res
            hi_res:
              POSITIVE_PROMPT: landscape, hi res
            high_res:
              POSITIVE_PROMPT: landscape, high res
            high_quality:
              POSITIVE_PROMPT: landscape, high quality
            professional_photograph:
              POSITIVE_PROMPT: landscape, professional photograph
            highly_detailed:
              POSITIVE_PROMPT: landscape, highly detailed
            extremely_detailed:
              POSITIVE_PROMPT: landscape, extremely detailed
            realistic:
              POSITIVE_PROMPT: landscape, realistic
            concept_art:
              POSITIVE_PROMPT: landscape, concept art
            golden_ratio:
              POSITIVE_PROMPT: landscape, golden ratio
            shiny:
              POSITIVE_PROMPT: landscape, shiny
            smooth:
              POSITIVE_PROMPT: landscape, smooth
            surreal:
              POSITIVE_PROMPT: landscape, surreal
            divine:
              POSITIVE_PROMPT: landscape, divine
            celestial:
              POSITIVE_PROMPT: landscape, celestial
            elegant:
              POSITIVE_PROMPT: landscape, elegant
            vibrant_colors:
              POSITIVE_PROMPT: landscape, vibrant colors
            pastel_colors:
              POSITIVE_PROMPT: landscape, pastel colors
            minimalistic:
              POSITIVE_PROMPT: landscape, minimalistic
            precise_lineart:
              POSITIVE_PROMPT: landscape, precise line-art
            featured_on_pixiv:
              POSITIVE_PROMPT: landscape, featured on pixiv
            pixiv:
              POSITIVE_PROMPT: landscape, pixiv
            award_winning_masterpiece:
              POSITIVE_PROMPT: landscape, award-winning masterpiece
            masterpiece:
              POSITIVE_PROMPT: landscape, masterpiece
            cinematic:
              POSITIVE_PROMPT: landscape, cinematic
            hd:
              POSITIVE_PROMPT: landscape, hd
            4k:
              POSITIVE_PROMPT: landscape, 4k
            8k:
              POSITIVE_PROMPT: landscape, 8k
            3d:
              POSITIVE_PROMPT: landscape, 3d
            4d:
              POSITIVE_PROMPT: landscape, 4d
            cinema4d:
              POSITIVE_PROMPT: landscape, cinema4d
            dof:
              POSITIVE_PROMPT: landscape, dof
            depth_of_field:
              POSITIVE_PROMPT: landscape, depth of field
            octane_render:
              POSITIVE_PROMPT: landscape, octane render
            unreal_engine:
              POSITIVE_PROMPT: landscape, unreal_engine
            houdini_render:
              POSITIVE_PROMPT: landscape, houdini_render
            arnold_render:
              POSITIVE_PROMPT: landscape, arnold render
            raytracing:
              POSITIVE_PROMPT: landscape, raytracing
            cgi:
              POSITIVE_PROMPT: landscape, cgi
            cgsociety:
              POSITIVE_PROMPT: landscape, cgsociety
            quixel_megascans:
              POSITIVE_PROMPT: landscape, quixel megascans
            beautiful:
              POSITIVE_PROMPT: landscape, beautiful
            breathtaking:
              POSITIVE_PROMPT: landscape, breathtaking
            trending_artstation:
              POSITIVE_PROMPT: landscape, trending artstation
            trending_on_artstation:
              POSITIVE_PROMPT: landscape, trending on artstation
            blur:
              POSITIVE_PROMPT: landscape, blur
            lumen_reflections:
              POSITIVE_PROMPT: landscape, lumen reflections
            bokeh:
              POSITIVE_PROMPT: landscape, bokeh
            symmetrical:
              POSITIVE_PROMPT: landscape, symmetrical
            macabre:
              POSITIVE_PROMPT: landscape, macabre
            volumetric_fog:
              POSITIVE_PROMPT: landscape, volumetric fog
            4_k_wallpaper:
              POSITIVE_PROMPT: landscape, 4 k wallpaper
            8_k_wallpaper:
              POSITIVE_PROMPT: landscape, 8 k wallpaper
            polaroid:
              POSITIVE_PROMPT: landscape, polaroid
            portrait:
              POSITIVE_PROMPT: landscape, portrait
            color_splash:
              POSITIVE_PROMPT: landscape, color splash
            monochrome:
              POSITIVE_PROMPT: landscape, monochrome
            uhd:
              POSITIVE_PROMPT: landscape, uhd
            64k:
              POSITIVE_PROMPT: landscape, 64k
            hyperrealism:
              POSITIVE_PROMPT: landscape, hyperrealism
            highly_detailed_digital_art:
              POSITIVE_PROMPT: landscape, highly detailed digital art
            ultrafine_detailed_painting:
              POSITIVE_PROMPT: landscape, ultrafine detailed painting
            generative_art:
              POSITIVE_PROMPT: landscape, generative art
            concept_art:
              POSITIVE_PROMPT: landscape, concept art
            fantasy_art:
              POSITIVE_PROMPT: landscape, fantasy art
            pearlescent:
              POSITIVE_PROMPT: landscape, pearlescent
            bioluminescence:
              POSITIVE_PROMPT: landscape, bioluminescence
            aesthetic:
              POSITIVE_PROMPT: landscape, aesthetic
            the_most_beautiful_image_ever_seen:
              POSITIVE_PROMPT: landscape, the most beautiful image ever seen
            vibrant:
              POSITIVE_PROMPT: landscape, vibrant
            colorful:
              POSITIVE_PROMPT: landscape, colorful
            black_and_white:
              POSITIVE_PROMPT: landscape, black and white
            grayscale:
              POSITIVE_PROMPT: landscape, grayscale
            at_night:
              POSITIVE_PROMPT: landscape, at night
            triadic_colour_scheme:
              POSITIVE_PROMPT: landscape, triadic colour scheme
            washed_colour:
              POSITIVE_PROMPT: landscape, washed colour
            in_the_style_of_fantasy_roleplaying_game_tabletop_art:
              POSITIVE_PROMPT: landscape, in the style of fantasy roleplaying game tabletop art
            cell_shading:
              POSITIVE_PROMPT: landscape, cell shading
            trending_concept_art:
              POSITIVE_PROMPT: landscape, trending concept art
            digital_brush_pack_painting:
              POSITIVE_PROMPT: landscape, digital brush pack painting
            atmosphere:
              POSITIVE_PROMPT: landscape, atmosphere
            highly_detailed_heavely_dramatic_lighting:
              POSITIVE_PROMPT: landscape, highly detailed heavely dramatic lighting
            highly_realistic_cinematic_lighting:
              POSITIVE_PROMPT: landscape, highly realistic cinematic lighting
            epic_high_dynamic_lighting:
              POSITIVE_PROMPT: landscape, epic high dynamic lighting
            hdr:
              POSITIVE_PROMPT: landscape, hdr
            gopro:
              POSITIVE_PROMPT: landscape, gopro
            cctv:
              POSITIVE_PROMPT: landscape, cctv
            cinematic illumination:
              POSITIVE_PROMPT: landscape, cinematic illumination
            telephoto:
              POSITIVE_PROMPT: landscape, telephoto
            stunning:
              POSITIVE_PROMPT: landscape, stunning
            intricate:
              POSITIVE_PROMPT: landscape, intricate
            analog_style:
              POSITIVE_PROMPT: landscape, analog style
            modelshoot_style:
              POSITIVE_PROMPT: landscape, modelshoot style
            medium_shot_photo:
              POSITIVE_PROMPT: landscape, medium shot photo
            sharp_focus:
              POSITIVE_PROMPT: landscape, sharp focus
            soft_focus:
              POSITIVE_PROMPT: landscape, soft focus
            subsurface_scattering:
              POSITIVE_PROMPT: landscape, subsurface scattering
            f2:
              POSITIVE_PROMPT: landscape, f2
            50mm:
              POSITIVE_PROMPT: landscape, 50mm
            film_grain:
              POSITIVE_PROMPT: landscape, film grain
